-- 分片上传会话表
CREATE TABLE `multipart_upload_session` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '编号',
  `upload_id` varchar(255) NOT NULL COMMENT '上传会话ID',
  `object_name` varchar(500) NOT NULL COMMENT '对象名称',
  `file_size` bigint(20) NOT NULL COMMENT '文件大小',
  `chunk_size` int(11) NOT NULL COMMENT '分片大小',
  `total_chunks` int(11) NOT NULL COMMENT '总分片数',
  `file_name` varchar(255) NOT NULL COMMENT '文件名',
  `file_type` varchar(100) NOT NULL COMMENT '文件类型',
  `user_id` bigint(20) NOT NULL COMMENT '用户ID',
  `expires_at` datetime NOT NULL COMMENT '过期时间',
  `status` tinyint(4) NOT NULL DEFAULT '0' COMMENT '状态：0-进行中，1-已完成，2-已取消',
  `creator` varchar(64) DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `updater` varchar(64) DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
  `tenant_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '租户编号',
  PRIMARY KEY (`id`),
  UNIQUE KEY `uk_upload_id` (`upload_id`),
  KEY `idx_user_id` (`user_id`),
  KEY `idx_expires_at` (`expires_at`),
  KEY `idx_tenant_id` (`tenant_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='分片上传会话表'; 