package cn.iocoder.yudao.module.bpm.api.oa.vo.leave;

import cn.iocoder.yudao.module.bpm.enums.task.BpmProcessInstanceResultEnum;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@Data
public class BpmOALeaveRpcVO {
    /**
     * 请假表单主键
     */
    private Long id;
    /**
     * 申请人的用户编号
     * <p>
     * 关联 AdminUserDO 的 id 属性
     */
    private Long userId;
    /**
     * 假期设置id
     */
    private Long holidaySettingId;
    /**
     * 原因
     */
    private String reason;
    /**
     * 假期名称
     */
    private String leaveName;
    /**
     * 开始时间
     */
    private LocalDateTime startTime;
    /**
     * 结束时间
     */
    private LocalDateTime endTime;

    /**
     * 请假时长（单位根据请假最小单位来 按天or按半天 单位为天 按小时单位为小时）
     */
    private BigDecimal duration;

    /**
     * 开始时间额外字段 根据请假最小单位来 1按天则为空 2按半天则1为上午 2为下午 3按小时则 格式为 HH:mm
     */
    private String startTimeExtraFields;
    /**
     * 结束时间额外字段 根据请假最小单位来 1按天则为空 2按半天则1为上午 2为下午 3按小时则 格式为 HH:mm
     */
    private String endTimeExtraFields;
    /**
     * 请假最小单位 1按天 2按半天 3按小时
     */
    private Integer minUnit;

    /**
     * 请假的结果
     * <p>
     * 枚举 {@link BpmProcessInstanceResultEnum}
     * 考虑到简单，所以直接复用了 BpmProcessInstanceResultEnum 枚举，也可以自己定义一个枚举哈
     */
    private Integer result;

    /**
     * 对应的流程编号
     * <p>
     * 关联 ProcessInstance 的 id 属性
     */
    private String processInstanceId;
}
