package cn.iocoder.yudao.module.bpm.controller.admin.financialpayment.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.math.BigDecimal;

/**
 * 用户 Excel 导入 VO
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = false) // 设置 chain = false，避免用户导入有问题
public class FinancialExportExcelVO {

    @ExcelProperty("姓名")
    private String nickName;

    @ExcelProperty("报销部门")
    private String deptName;

    @ExcelProperty("事项")
    private String detail;

    @ExcelProperty("金额")
    private BigDecimal amount;

    @ExcelProperty("卡号")
    private String bankNo;

    @ExcelProperty("公账/私账")
    private String type;

    @ExcelProperty("备注")
    private String note;
}
