package cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.expenses;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

@Schema(description = "管理后台 - 开支日报分页 Request VO")
@Data
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
public class BpmOAExpensesPageReqVO extends PageParam {

    @Schema(description = "申请人用户编号", example = "1")
    private Long userId;

    @Schema(description = "所属工厂编号", example = "1")
    private Long factoryId;

    @Schema(description = "费用类型 | 字典值参照bpm_oa_expenses_type")
    private Integer type;

    @Schema(description = "费用板块 | 1叉车 2打包 3搬运 4运输")
    private Integer costSection;

    @Schema(description = "审批通过时间")
    private String[] endTime;

    @Schema(description = "收款人姓名")
    private String payeeName;
}
