package cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.expenses;

import cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.BpmOABaseRespVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.math.BigDecimal;

/**
 * @author 符溶馨
 */
@Schema(description = "管理后台 - 生产开支 请求Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class BpmOAExpensesPageRespVO extends BpmOABaseRespVO {

    @Schema(description = "申请人用户编号")
    private Long userId;

    @Schema(description = "申请人用户名称")
    private String userName;

    @Schema(description = "收款人信息编号")
    private Long bankId;

    @Schema(description = "收款人名称")
    private String payeeName;

    @Schema(description = "银行卡号")
    private String bankNo;

    @Schema(description = "开户行名称")
    private String bankName;

    @Schema(description = "报销总金额")
    private BigDecimal totalMoney;

    @Schema(description = "费用申请主键")
    private Long expensesId;

    @Schema(description = "费用类型 | 字典值参照bpm_oa_expenses_type")
    private Integer type;

    @Schema(description = "费用板块 | 1叉车 2打包 3搬运 4运输")
    private Integer costSection;

    @Schema(description = "费用产生部门")
    private Long deptId;

    @Schema(description = "费用产生部门名称")
    private String deptName;

    @Schema(description = "支出金额")
    private BigDecimal amount;

    @Schema(description = "费用明细")
    private String detail;

    @Schema(description = "审批时间")
    private String endTime;

    @Schema(description = "支付状态 | 0未支付 1已支付")
    private Integer status;
}
