package cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.finance;

import cn.iocoder.yudao.framework.common.pojo.UploadUserFile;
import cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.BpmOABaseRespVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.List;

/**
 * 活动经费申请 请求Request VO
 *
 * @author 符溶馨
 */
@Schema(description = "管理后台 - 活动经费申请 请求Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class BpmOAFinanceRespVO extends BpmOABaseRespVO {

    @Schema(description = "活动主题", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "活动主题不能为空")
    private String title;

    @Schema(description = "活动说明", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "活动说明不能为空")
    private String reason;

    @Schema(description = "活动开始时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "活动开始时间不能为空")
    private String startTime;

    @Schema(description = "活动结束时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "活动结束时间不能为空")
    private String endTime;

    @Schema(description = "活动地址", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "活动地址不能为空")
    private String address;

    @Schema(description = "活动费用预算", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "活动费用预算不能为空")
    private BigDecimal costBudget;

    @Schema(description = "费用明细")
    private List<CostDetail> costDetail;

    @Schema(description = "上传文件", requiredMode = Schema.RequiredMode.REQUIRED)
    private List<UploadUserFile> fileItems;
}
