package cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.loan;

import cn.iocoder.yudao.framework.common.pojo.UploadUserFile;
import cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.BpmOABaseRespVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.List;

/**
 * @author 符溶馨
 */
@Schema(description = "管理后台 - 生产开支 请求Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class BpmOALoanRespVO extends BpmOABaseRespVO {

    @Schema(description = "申请人用户编号")
    private Long userId;

    @Schema(description = "申请人名称")
    private String userName;

    @Schema(description = "收款人信息编号")
    private Long bankId;

    @Schema(description = "收款人名称")
    private String payeeName;

    @Schema(description = "银行卡号")
    private String bankNo;

    @Schema(description = "开户行名称")
    private String bankName;

    @Schema(description = "借支工厂")
    private Long factoryId;

    @Schema(description = "借支工厂名称")
    private String factoryName;

    @Schema(description = "借支用户")
    private Long sfUserId;

    @Schema(description = "借支用户名称")
    private String sfUserName;

    @Schema(description = "借支类型 | 1工资 2费用", example = "1")
    private Integer loanType;

    @Schema(description = "抵扣工资月份 | yyyy-MM")
    private String returnDate;

    @Schema(description = "借支金额")
    private BigDecimal totalMoney;

    @Schema(description = "借支事由")
    private String reason;

    @Schema(description = "上传文件", requiredMode = Schema.RequiredMode.REQUIRED)
    private List<UploadUserFile> fileItems;

    @Schema(description = "支付状态 | 0待支付 1分批支付中 2已支付 3拒绝")
    private Integer status;
}
