package cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.payment;

import cn.iocoder.yudao.framework.common.pojo.UploadUserFile;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

/**
 * 付款申请 创建 Request VO
 *
 * @author 符溶馨
 */
@Schema(description = "管理后台 - 付款申请创建 Request VO")
@Data
public class BpmOAPaymentUpdateReqVO {

    @Schema(description = "编号", requiredMode = Schema.RequiredMode.REQUIRED)
    private Long id;

    @Schema(description = "后补票批注", requiredMode = Schema.RequiredMode.NOT_REQUIRED)
    private String annotations;

    @Schema(description = "补票状态 | 0待补票 1已补票 2重新补票 3已确认", requiredMode = Schema.RequiredMode.NOT_REQUIRED)
    private Integer status;

    @Schema(description = "上传文件", requiredMode = Schema.RequiredMode.REQUIRED)
    private List<UploadUserFile> fileItems;
}
