package cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.salaryadjustment;

import cn.iocoder.yudao.framework.common.pojo.UploadUserFile;
import cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.BpmOABaseRespVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.List;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY;

/**
 * @author 符溶馨
 */
@Schema(description = "管理后台 - 薪资付款申请  请求Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class BpmOASalaryAdjustmentRespVO extends BpmOABaseRespVO {

    @Schema(description = "调整类型 | 1:涨薪 2:降薪")
    private Integer type;

    @Schema(description = "调整人用户编号")
    private Long adjustmentUserId;

    @Schema(description = "调整人用户名称")
    private String adjustmentUserName;

    @Schema(description = "调整人部门编号")
    private Long adjustmentDeptId;

    @Schema(description = "调整人部门名称")
    private String adjustmentDeptName;

    @Schema(description = "调整日期")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY)
    private String adjustmentDate;

    @Schema(description = "调整前薪资")
    private BigDecimal salaryBefore;

    @Schema(description = "调整后薪资")
    private BigDecimal salaryAfter;

    @Schema(description = "调整原因")
    private String reason;

    @Schema(description = "调整原因描述")
    private String description;

    @Schema(description = "上传文件",  requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "附件不能为空")
    private List<UploadUserFile> fileItems;
}
