package cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.workorder;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - BPM OA 工单分页查询 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class BpmOAWorkOrderPageReqVO extends PageParam {

    @Schema(description = "工单标题", example = "系统登录问题")
    private String title;

    @Schema(description = "工单类型", example = "it_support")
    private String type;

    @Schema(description = "工单状态", example = "1")
    private Integer status;

    @Schema(description = "工单级别", example = "1")
    private Integer level;

    @Schema(description = "责任人ID", example = "1")
    private Long assigneeUserId;

    @Schema(description = "发起人ID", example = "1")
    private Long fromUserId;

    @Schema(description = "当前用户id", example = "1")
    private Long loginUserId;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}
