package cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.workorder;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

@Schema(description = "管理后台 - BPM OA 工单跟踪记录 Request VO")
@Data
public class BpmOAWorkOrderTrackReqVO {

    @Schema(description = "工单ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    @NotNull(message = "工单ID不能为空")
    private Long workOrderId;

    @Schema(description = "操作内容", requiredMode = Schema.RequiredMode.REQUIRED, example = "已开始处理该工单，预计今天下午完成")
    @NotEmpty(message = "操作内容不能为空")
    private String content;

}
