package cn.iocoder.yudao.module.bpm.controller.admin.processmapping.vo;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;
import java.util.Map;

/**
 * 流程数据查询 Request VO
 *
 * @author 系统
 */
@Schema(description = "管理后台 - 流程数据查询 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class ProcessDataQueryReqVO extends PageParam {

    @Schema(description = "流程代码", requiredMode = Schema.RequiredMode.REQUIRED, example = "ORDER")
    @NotBlank(message = "流程代码不能为空")
    private String processCode;

    @Schema(description = "数据ID", example = "1024")
    private Serializable id;

    @Schema(description = "查询条件", example = "{\"status\": 1, \"name\": \"测试\"}")
    private Map<String, Object> queryParams;

} 