package cn.iocoder.yudao.module.bpm.dal.dataobject.oa;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

/**
 * OA 资产申领明细 DO
 *
 * @author 符溶馨
 */
@TableName(value ="bpm_oa_asset_claim_item", autoResultMap = true)
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class BpmOAAssetClaimItemDO extends BaseDO {

    /**
     * 出差表单主键
     */
    @TableId
    private Long id;

    /**
     * 资产申领业务表编号
     */
    private Long assetClaimId;

    /**
     * 资产类型编号
     */
    private Long assetsTypeId;

    /**
     * 资产类型名称
     */
    private String assetsTypeName;

    /**
     * 业务类型 1行政类型 2生产类型
     */
    private Integer businessType;

    /**
     * 资产编号
     */
    private String assetsNo;

    /**
     * 资产名称
     */
    private String assetsName;

    /**
     * 数量
     */
    private Integer num;

    /**
     * 单位
     */
    private String util;
}
