package cn.iocoder.yudao.module.bpm.dal.dataobject.oa;

import lombok.*;

import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 销售业绩目标申请OA DO
 *
 * @author 艾楷
 */
@TableName("bpm_oa_sales_performance")
@KeySequence("bpm_oa_sales_performance_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class BpmOASalesPerformanceDO extends BaseDO {

    /**
     * 销售业绩目标申请
     */
    @TableId
    private Long id;
    /**
     * 申请人的用户编号
     */
    private Long userId;
    /**
     * 年
     */
    private String year;
    /**
     * 月
     */
    private String month;
    /**
     * 回款目标
     */
    private BigDecimal paymentTarget;
    /**
     * 销售目标
     */
    private Integer saleTarget;
    /**
     * 备注
     */
    private String remark;
    /**
     * 申请结果
     */
    private Integer result;
    /**
     * 流程实例的编号
     */
    private String processInstanceId;

}
