package cn.iocoder.yudao.module.bpm.service.oa;

import cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.goOut.BpmOAGoOutCreateReqVO;
import cn.iocoder.yudao.module.bpm.dal.dataobject.oa.BpmOAGoOutDO;

import java.time.LocalDate;
import java.util.List;

public interface BpmOAGoOutService {

    /**
     * 创建外出申请
     * @param loginUserId 登录用户ID
     * @param createReqVO 创建信息
     * @return 外出申请ID
     */
    Long createGoOut(Long loginUserId, BpmOAGoOutCreateReqVO createReqVO);

    /**
     * 更新外出申请的状态
     *
     * @param id 编号
     * @param result 结果
     */
    void updateGoOutResult(String processInstanceId, Long id, Integer result);

    /**
     * 获得外出申请
     * @param processInstanceId 流程实例编号
     * @return 外出申请
     */
    BpmOAGoOutDO getByProcessInstanceId(String processInstanceId);

    /**
     * 获得外出申请
     * @param id 外出申请ID
     * @return 外出申请
     */
    BpmOAGoOutDO getGoOut(Long id);

    /**
     * 获得指定开始时间的外出申请
     * @param time 时间
     * @return 外出申请
     */
    List<BpmOAGoOutDO> getGoOutByStartTime(String time);
}
