package cn.iocoder.yudao.module.bpm.service.oa;

import cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.petition.BpmOAPetitionCreateReqVO;
import cn.iocoder.yudao.module.bpm.dal.dataobject.oa.BpmOAPetitionDO;

/**
 * 签呈申请 Service 接口
 *
 * @author 符溶馨
 */
public interface BpmOAPetitionService {

    /**
     * 创建签呈申请
     * @param userId 用户编号
     * @param createReqVO 创建信息
     * @return 签呈申请编号
     */
    Long createPetition(Long userId, BpmOAPetitionCreateReqVO createReqVO);

    /**
     * 更新签呈申请审批结果
     * @param id 编号
     * @param result 审批结果
     */
    void updatePetitionServiceResult(Long id, Integer result);

    /**
     * 获得签呈申请
     * @param id 编号
     * @return 签呈详情
     */
    BpmOAPetitionDO getPetition(Long id);

    /**
     * 获得签呈申请
     * @param processInstanceId 流程实例编号
     * @return 签呈详情
     */
    BpmOAPetitionDO getByProcessInstanceId(String processInstanceId);
}
