package cn.iocoder.yudao.module.bpm.service.oa;

import javax.validation.*;

import cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.supplierpurchasepayment.BpmOASupplierPurchasePaymentPageReqVO;
import cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.supplierpurchasepayment.BpmOASupplierPurchasePaymentSaveReqVO;
import cn.iocoder.yudao.module.bpm.dal.dataobject.oa.BpmOASupplierPurchasePaymentDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;

/**
 * 供应商采购付款 Service 接口
 *
 * @author 艾楷
 */
public interface BpmOASupplierPurchasePaymentService {

    /**
     * 创建供应商采购付款
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createOASupplierPurchasePayment(@Valid BpmOASupplierPurchasePaymentSaveReqVO createReqVO);

    /**
     * 更新供应商采购付款
     *
     * @param updateReqVO 更新信息
     */
    void updateOASupplierPurchasePayment(@Valid BpmOASupplierPurchasePaymentSaveReqVO updateReqVO);

    /**
     * 删除供应商采购付款
     *
     * @param id 编号
     */
    void deleteOASupplierPurchasePayment(Long id);

    /**
     * 获得供应商采购付款
     *
     * @param id 编号
     * @return 供应商采购付款
     */
    BpmOASupplierPurchasePaymentDO getOASupplierPurchasePayment(Long id);

    /**
     * 获得供应商采购付款分页
     *
     * @param pageReqVO 分页查询
     * @return 供应商采购付款分页
     */
    PageResult<BpmOASupplierPurchasePaymentDO> getOASupplierPurchasePaymentPage(BpmOASupplierPurchasePaymentPageReqVO pageReqVO);


    /**
     * 更新工作任务的状态
     *
     * @param processInstanceId 流程实例id
     * @param id 编号
     * @param result 结果
     */
    void updateSupplierPurchasePaymentResult(String processInstanceId, Long id, Integer result);
}
