package cn.iocoder.yudao.module.bpm.service.oa.listener;

import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEvent;
import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEventListener;
import cn.iocoder.yudao.module.bpm.service.oa.BpmOAAssetClaimService;
import cn.iocoder.yudao.module.bpm.service.oa.BpmOAAssetClaimServiceImpl;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

/**
 * OA 现金支出的结果的监听器实现类
 *
 * @author 符溶馨
 */
@Component
public class BpmOAAssetClaimResultListener extends BpmProcessInstanceResultEventListener {
    @Resource
    private BpmOAAssetClaimService assetClaimService;

    @Override
    protected String getProcessDefinitionKey() {

        return BpmOAAssetClaimServiceImpl.PROCESS_KEY;
    }

    @Override
    protected void onEvent(BpmProcessInstanceResultEvent event) {

        assetClaimService.updateAssetClaimResult(event.getId(), Long.parseLong(event.getBusinessKey()), event.getResult());
    }
}
