package cn.iocoder.yudao.module.bpm.service.processmapping;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;

import java.io.Serializable;
import java.util.List;

/**
 * 流程动态查询 Service 接口
 *
 * @author 系统
 */
public interface ProcessQueryService {

    /**
     * 根据流程代码和ID查询数据
     *
     * @param processCode 流程标识(如"ORDER")
     * @param id          数据主键
     * @return 对应的实体对象
     */
    Object queryById(String processCode, Serializable id);

    /**
     * 根据流程代码和条件查询列表
     *
     * @param processCode  流程标识
     * @param queryWrapper 查询条件
     * @return 实体列表
     */
    List<?> queryList(String processCode, QueryWrapper<?> queryWrapper);
}
