package cn.iocoder.yudao.module.infra.controller.app.file.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * MinIO 文件上传响应 VO
 *
 * @author AI Assistant
 */
@Schema(description = "用户 App - MinIO 文件上传响应")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class MinioUploadRespVO {

    @Schema(description = "文件访问URL", example = "http://113.105.111.100:9000/yudao-bucket/abc123.jpg")
    private String url;

    @Schema(description = "文件访问URL列表", example = "[\"http://113.105.111.100:9000/yudao-bucket/abc123.jpg\"]")  
    private List<String> urls;

    /**
     * 创建单文件上传响应
     */
    public static MinioUploadRespVO single(String url) {
        return new MinioUploadRespVO(url, null);
    }

    /**
     * 创建多文件上传响应
     */
    public static MinioUploadRespVO multiple(List<String> urls) {
        return new MinioUploadRespVO(null, urls);
    }

} 