package cn.iocoder.yudao.module.product.dal.dataobject.material;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

/**
 * 素材库 DO
 *
 * @author yshop
 */
@TableName("material")
@KeySequence("material_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class MaterialDO extends BaseDO {

    /**
     * 编号
     */
    @TableId
    private Long id;
    /**
     * 类型1、图片；2、视频
     */
    private String type;
    /**
     * 分组ID
     */
    private String groupId;
    /**
     * 素材名
     */
    private String name;
    /**
     * 素材链接
     */
    private String url;

}
