package cn.iocoder.yudao.module.system.api.subscribe;

import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import cn.iocoder.yudao.framework.common.template.vo.SubscribeMessageReqDTO;
import cn.iocoder.yudao.module.system.enums.ApiConstants;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

@FeignClient(name = ApiConstants.NAME) // TODO 芋艿：fallbackFactory =
@Tag(name = "RPC 服务 - 微信小程序订阅消息发送")
public interface SubscribeMessageSendApi {

    String PREFIX = ApiConstants.PREFIX + "/subscribe/send";

    @PostMapping(PREFIX + "/send-mi-ni-msg")
    @Operation(summary = "发送消息")
    CommonResult<Long> sendMaMsg(@RequestBody SubscribeMessageReqDTO reqDTO);

    @PostMapping(PREFIX + "/send-mp-msg")
    @Operation(summary = "发送公众号消息")
    CommonResult<Long> sendMpMsg(@RequestBody SubscribeMessageReqDTO reqDTO);
}
