package cn.iocoder.yudao.module.system.api.workovertime.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.List;

@Data
public class WorkOvertimeRuleApiVO {

    @Schema(description = "主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "32262")
    private Long id;

    @Schema(description = "规则名称", example = "张三")
    private String ruleName;

    @Schema(description = "引用范围考勤组ids")
    private String attendanceGroupIds;

    @Schema(description = "负责人", example = "3784")
    private Long leaderUserId;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    private LocalDateTime createTime;

    @Schema(description = "加班规则子表")
    private List<WorkOvertimeRuleItemApiVO> workOvertimeRuleItems;

    @Schema(description = "更多规则")
    private WorkOvertimeMoreRuleApiVO moreRule;

    @Schema(description = "是否在考勤组内 0否 1是")
    private Integer isGroup = 1;

    @Schema(description = "是否有加班规则 0否 1是")
    private Integer isOvertime = 1;

}
