package cn.iocoder.yudao.module.system.controller.admin.assets.vo;

import lombok.*;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 资产类型分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class AssetsTypePageReqVO extends PageParam {

    @Schema(description = "资产类型名称", example = "李四")
    private String name;

    @Schema(description = "类型 0按量 1按单件", example = "1")
    private Integer type;

    @Schema(description = "业务类型 1行政类型 2生产类型", example = "1")
    private Integer businessType;

    @Schema(description = "消耗类型 1固定资产 2消耗品", example = "1")
    private Integer consumeType;

    @Schema(description = "上级资产类型id", example = "27306")
    private Long pid;

    @Schema(description = "类型编码(最后一级才有)", example = "27306")
    private String code;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}
