package cn.iocoder.yudao.module.system.controller.admin.holiday.holidaysettingrange.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 假期规则人员范围 Response VO")
@Data
@ExcelIgnoreUnannotated
public class HolidaySettingRangeRespVO {

    @Schema(description = "编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "12790")
    @ExcelProperty("编号")
    private Long id;

    @Schema(description = "假期设置id", example = "27475")
    @ExcelProperty("假期设置id")
    private Long holidaySettingId;

    @Schema(description = "目标类型 1考勤组 2部门 3个人", example = "2")
    @ExcelProperty("目标类型 1考勤组 2部门 3个人")
    private Integer type;

    @Schema(description = "根据目标类型对应的id", example = "3161")
    @ExcelProperty("根据目标类型对应的id")
    private Long objectId;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}
