package cn.iocoder.yudao.module.system.controller.admin.loan.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@Schema(description = "管理后台 - 借支管理 Response VO")
@Data
public class LoanRespVO {

    @Schema(description = "主键id")
    private Long id;

    @Schema(description = "申请人姓名")
    private String applicantName;

    @Schema(description = "借支用户编号")
    private Long userId;

    @Schema(description = "借支员工编号")
    private Long staffId;

    @Schema(description = "借支用户姓名")
    private String userName;

    @Schema(description = "借支用户部门编号")
    private Long deptId;

    @Schema(description = "借支用户部门名称")
    private String deptName;

    @Schema(description = "借支类型 | 1工资 2费用")
    private Integer loanType;

    @Schema(description = "借支总额")
    private BigDecimal amount;

    @Schema(description = "已归还金额")
    private BigDecimal returnAmount;

    @Schema(description = "剩余金额")
    private BigDecimal remainingAmount;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    private LocalDateTime createTime;

}