package cn.iocoder.yudao.module.system.controller.admin.project.vo;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.Set;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 项目管理分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class ProjectPageReqVO extends PageParam {

    @Schema(description = "项目编号")
    private String projectNo;

    @Schema(description = "项目类型 | 字典值参考system_project_type", example = "1")
    private Integer type;

    @Schema(description = "项目名称")
    private String name;

    @Schema(description = "责任部门")
    private Long responsibleDept;

    @Schema(description = "参与部门集合")
    private String participationDept;

    @Schema(description = "责任人用户编号")
    private Long directorUserId;

    @Schema(description = "项目开始时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDate[] startDate;

    @Schema(description = "项目结束时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDate[] endDate;

    @Schema(description = "是否长期 | 0否 1是")
    private Integer isLongTerm;

    @Schema(description = "项目状态 | 1 进行中 2已完成", example = "1")
    private Integer status;
}