package cn.iocoder.yudao.module.system.controller.admin.rental.vo.customer;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.List;
import java.util.Set;

@Schema(description = "管理后台 - 租赁客户 Response VO")
@Data
public class RentalCustomerRespVO {

    @Schema(description = "租赁客户表单主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    private Long id;

    @Schema(description = "所属工厂id集合")
    private Set<Long> factoryIds;

    @Schema(description = "工厂名称")
    private List<String> factoryNames;

    @Schema(description = "客户名称", requiredMode = Schema.RequiredMode.REQUIRED, example = "赵六")
    private String name;

    @Schema(description = "手机号")
    private String mobile;

    @Schema(description = "开户行", requiredMode = Schema.RequiredMode.REQUIRED, example = "=")
    private String bankName;

    @Schema(description = "卡号", requiredMode = Schema.RequiredMode.REQUIRED)
    private String bankNo;

    @Schema(description = "剩余押金金额")
    private BigDecimal amount;

    @Schema(description = "状态 | 0开启 1关闭")
    private Integer status;

    @Schema(description = "周转天数")
    private Integer turnoverDays;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    private LocalDateTime createTime;

}