package cn.iocoder.yudao.module.system.controller.admin.workovertime.vo;

import lombok.*;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 加班更多规则拓展分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class WorkOvertimeMoreRuleExtPageReqVO extends PageParam {

    @Schema(description = "加班更多规则id", example = "8676")
    private Long moreRuleId;

    @Schema(description = "类型 1风险预警 2最大加班时间", example = "2")
    private Integer type;

    @Schema(description = "日期类型 1每天 2每周 3每月", example = "1")
    private Integer dayType;

    @Schema(description = "小时阀值累计超过n小时")
    private Integer threshold;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}