package cn.iocoder.yudao.module.system.controller.admin.workovertime.vo;

import lombok.*;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import java.math.BigDecimal;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 加班规则（更多规则）分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class WorkOvertimeMoreRulePageReqVO extends PageParam {

    @Schema(description = "加班规则id", example = "20044")
    private Long ruleId;

    @Schema(description = "加班时长单位 1小时 2天")
    private Integer unit;

    @Schema(description = "是否需要取整 0不取整 1向下取整", example = "2")
    private Integer roundingType;

    @Schema(description = "取整递增值")
    private BigDecimal roundingIncrementalValue;

    @Schema(description = "日折算时长 n小时 = 一天 ")
    private BigDecimal conversion;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}
