package cn.iocoder.yudao.module.system.dal.dataobject.auth;

import cn.iocoder.yudao.framework.common.enums.SocialTypeEnum;
import lombok.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 用户三方登录信息 DO
 *
 * @author 艾楷
 */
@TableName("system_oauth_user_other_info")
@KeySequence("system_oauth_user_other_info_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class AdminOauthUserOtherInfoDO extends BaseDO {

    /**
     * 编号
     */
    @TableId
    private Long id;
    /**
     * 用户编号
     */
    private Long userId;
    /**
     * 应用appId
     */
    private String appId;
    /**
     * 微信openId
     */
    private String openId;
    /**
     * 社交平台的类型 (参见 {@link SocialTypeEnum} 枚举)
     */
    private Integer socialType;

}
