package cn.iocoder.yudao.module.system.dal.dataobject.holiday.holidayuserrecord;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * 员工假期记录 DO
 *
 * @author 艾楷
 */
@TableName("kq_holiday_user_record")
@KeySequence("kq_holiday_user_record_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class HolidayUserRecordDO extends BaseDO {

    /**
     * 编号
     */
    @TableId
    private Long id;
    /**
     * 用户id
     */
    private Long userId;
    /**
     * 员工假期id
     */
    private Long holidayUserId;
    /**
     * 假期设置id
     */
    private Long holidaySettingId;
    /**
     * 假期余额设置id
     */
    private Long holidayBalanceSettingId;
    /**
     * 操作方向 0新增 1减去
     */
    private Integer direction;
    /**
     * 假期余额(这里的单位根据假期设置的来 没有固定单位)
     */
    private BigDecimal holidayBalance;
    /**
     * 发放时间
     */
    private LocalDateTime releaseTime;
    /**
     * 过期时间
     */
    private LocalDateTime expiredTime;
    /**
     * 过期提醒时间
     */
    private LocalDateTime expirationReminderTime;
    /**
     * 过期是否提醒 0否 1是
     */
    private Integer expirationReminderFlag;
    /**
     * 剩余余额
     */
    private BigDecimal remainingBalance;
    /**
     * 过期是否扣减 0否 1是
     */
    private Integer expiredDeductionFlag;

    /**
     * 备注
     */
    private String remark;
    /**
     * 原因
     */
    private String reason;


}
