package cn.iocoder.yudao.module.system.dal.dataobject.holiday.holidayworkingage;

import lombok.*;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 假期额度工龄配置 DO
 *
 * @author 艾楷
 */
@TableName("kq_holiday_working_age")
@KeySequence("kq_holiday_working_age_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class HolidayWorkingAgeDO extends BaseDO {

    /**
     * 编号
     */
    @TableId
    private Long id;
    /**
     * 假期设置id
     */
    private Long holidaySettingId;
    /**
     * 假期余额设置id
     */
    private Long holidayBalanceSettingId;
    /**
     * 工龄 0表示小于1年 1表示大于等于1年 以此类推
     */
    private Integer years;
    /**
     * 年假天数
     */
    private Integer num;

}
