package cn.iocoder.yudao.module.system.dal.dataobject.rental;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

/**
 * 订单租赁物品记录 DO
 *
 * @author 符溶馨
 */
@TableName("system_rental_items_record")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class RentalItemsRecordDO extends BaseDO {

    /**
     * 订单租赁物品记录表单主键
     */
    @TableId
    private Long id;
    /**
     * 订单编号
     */
    private String orderNo;
    /**
     * 租赁物品种类 | 字典值参考 system_rental_items_type
     */
    private Integer rentalItemsType;
    /**
     * 租赁数量
     */
    private Integer number;
    /**
     * 类型 | 1租借 2归还
     */
    private Integer type;

}