package cn.iocoder.yudao.module.system.dal.dataobject.workovertime;

import lombok.*;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 加班更多规则拓展 DO
 *
 * @author 艾楷
 */
@TableName("kq_work_overtime_more_rule_ext")
@KeySequence("kq_work_overtime_more_rule_ext_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class WorkOvertimeMoreRuleExtDO extends BaseDO {

    /**
     * 主键
     */
    @TableId
    private Long id;
    /**
     * 加班更多规则id
     */
    private Long moreRuleId;
    /**
     * 类型 1风险预警 2最大加班时间
     */
    private Integer type;
    /**
     * 日期类型 1每天 2每周 3每月
     */
    private Integer dayType;
    /**
     * 小时阀值累计超过n小时
     */
    private Integer threshold;

}