package cn.iocoder.yudao.module.system.service.workovertime;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.workovertime.vo.WorkOvertimeMoreRulePageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.workovertime.vo.WorkOvertimeMoreRuleSaveReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.workovertime.WorkOvertimeMoreRuleDO;

import javax.validation.Valid;

/**
 * 加班规则（更多规则） Service 接口
 *
 * @author 艾楷
 */
public interface WorkOvertimeMoreRuleService {

    /**
     * 创建加班规则（更多规则）
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createWorkOvertimeMoreRule(@Valid WorkOvertimeMoreRuleSaveReqVO createReqVO);

    /**
     * 更新加班规则（更多规则）
     *
     * @param updateReqVO 更新信息
     */
    void updateWorkOvertimeMoreRule(@Valid WorkOvertimeMoreRuleSaveReqVO updateReqVO);

    /**
     * 删除加班规则（更多规则）
     *
     * @param id 编号
     */
    void deleteWorkOvertimeMoreRule(Long id);

    /**
     * 获得加班规则（更多规则）
     *
     * @param id 编号
     * @return 加班规则（更多规则）
     */
    WorkOvertimeMoreRuleDO getWorkOvertimeMoreRule(Long id);

    /**
     * 获得加班规则（更多规则）分页
     *
     * @param pageReqVO 分页查询
     * @return 加班规则（更多规则）分页
     */
    PageResult<WorkOvertimeMoreRuleDO> getWorkOvertimeMoreRulePage(WorkOvertimeMoreRulePageReqVO pageReqVO);

    /**
     * 根据规则id获取更多规则信息
     *
     * @param ruleId
     * @return
     */
    WorkOvertimeMoreRuleDO getByRuleId(Long ruleId);
}
