package cn.iocoder.yudao.module.system.service.workovertime;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.workovertime.vo.WorkOvertimeRulePageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.workovertime.vo.WorkOvertimeRuleSaveReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.workovertime.WorkOvertimeRuleDO;

import javax.validation.Valid;

/**
 * 加班规则 Service 接口
 *
 * @author 艾楷
 */
public interface WorkOvertimeRuleService {
    /**
     * 删除加班规则
     *
     * @param id 编号
     */
    void deleteWorkOvertimeRule(Long id);

    /**
     * 获得加班规则
     *
     * @param id 编号
     * @return 加班规则
     */
    WorkOvertimeRuleDO getWorkOvertimeRule(Long id);

    /**
     * 获得加班规则分页
     *
     * @param pageReqVO 分页查询
     * @return 加班规则分页
     */
    PageResult<WorkOvertimeRuleDO> getWorkOvertimeRulePage(WorkOvertimeRulePageReqVO pageReqVO);

    /**
     * 新增修改加班规则
     *
     * @param createReqVO
     */
    void createOrUpdateWorkOvertimeRule(WorkOvertimeRuleSaveReqVO createReqVO);
}
