package cn.iocoder.yudao.module.smartfactory.api.linefixedassets.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

@Data
public class LineFixedAssetsDTO {

    @Schema(description = "主键id", requiredMode = Schema.RequiredMode.REQUIRED, example = "12837")
    private Long id;

    @Schema(description = "资产编号", requiredMode = Schema.RequiredMode.REQUIRED)
    private String assetsNo;

    @Schema(description = "工厂id", requiredMode = Schema.RequiredMode.REQUIRED, example = "29331")
    private Long factoryId;

    @Schema(description = "部门id", example = "28310")
    private Long deptId;

    @Schema(description = "名称", example = "赵六")
    private String name;

    @Schema(description = "规格")
    private String sku;

    @Schema(description = "打包线编号")
    private String lineNo;

    @Schema(description = "型号")
    private String modelNo;

    @Schema(description = "厂商")
    private String manufacturer;

    @Schema(description = "单位")
    private String unit;

    @Schema(description = "铭牌日期")
    private String nameplateDate;

    @Schema(description = "使用日期")
    private String useDate;

    @Schema(description = "备注", example = "你说的对")
    private String remark;

}
