package cn.iocoder.yudao.module.smartfactory.controller.admin.accessoriescollar.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@Schema(description = "管理后台 - 厂区配件领用 Response VO")
@Data
@ExcelIgnoreUnannotated
public class AccessoriesCollarRespVO {

    @Schema(description = "厂区配件领用表单主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    @ExcelProperty("厂区配件领用表单主键")
    private Long id;

    @Schema(description = "工厂编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "10000008")
    @ExcelProperty("工厂编号")
    private Long factoryId;

    @Schema(description = "工厂名称", example = "工厂名称")
    private String factoryName;

    @Schema(description = "领用月份 | YYYY-MM")
    @ExcelProperty("领用月份 | YYYY-MM")
    private String month;

    @Schema(description = "叉车配件费用")
    @ExcelProperty("叉车配件费用")
    private BigDecimal forkliftAccessories;

    @Schema(description = "打包配件费用")
    @ExcelProperty("打包配件费用")
    private BigDecimal packageAccessories;

    @Schema(description = "搬运劳保费用")
    @ExcelProperty("搬运劳保费用")
    private BigDecimal transportationAmount;

    @Schema(description = "状态 | 0未确认 1已确认", example = "0")
    @ExcelProperty("状态 | 0未确认 1已确认")
    private Integer status;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}