package cn.iocoder.yudao.module.smartfactory.controller.admin.attendance.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

@Schema(description = "管理后台 - 厂区员工考勤记录 Response VO")
@Data
@ExcelIgnoreUnannotated
public class StaffAttendanceRecordRespVO {

    @Schema(description = "用户编号")
    private Long staffId;

    @Schema(description = "用户名称")
    private String staffName;

    @Schema(description = "工种")
    private Integer workTypeId;

    @Schema(description = "工厂id")
    private Long factoryId;

    @Schema(description = "工厂名称")
    private String factoryName;

    @Schema(description = "考勤方式 | 1.上个月26号-本月25号 2.本月初-本月底")
    private Integer type;

    @Schema(description = "考勤月份")
    private String month;

    @Schema(description = "打卡记录")
    private List<AttendanceRecordVO> records;

    @Schema(description = "其他打卡记录")
    private List<StaffAttendanceRecordRespVO> childRecords;

    @Schema(description = "是否已审核")
    private Integer isReview;

    public StaffAttendanceRecordRespVO(Long staffId, Long factoryId, Integer type, String month) {
        this.staffId = staffId;
        this.factoryId = factoryId;
        this.type = type;
        this.month = month;
    }

    public StaffAttendanceRecordRespVO() {
    }
}