package cn.iocoder.yudao.module.smartfactory.controller.admin.handlingspecifications.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;
import java.util.*;
import java.math.BigDecimal;

@Schema(description = "管理后台 - 工厂搬运规格新增/修改 Request VO")
@Data
public class HandlingSpecificationsSaveReqVO {

    @Schema(description = "主键id", requiredMode = Schema.RequiredMode.REQUIRED, example = "26164")
    private Long id;

    @Schema(description = "工厂id", requiredMode = Schema.RequiredMode.REQUIRED, example = "9106")
    @NotNull(message = "工厂id不能为空")
    private Long factoryId;

    @Schema(description = "规格名称", requiredMode = Schema.RequiredMode.REQUIRED, example = "张三")
    @NotEmpty(message = "规格名称不能为空")
    private String specificationsName;

    @Schema(description = "类型 0数量 1重量 默认数量", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    @NotNull(message = "类型 0数量 1重量 默认数量不能为空")
    private Integer type;

    @Schema(description = "重量 /（公斤 kg）")
    private BigDecimal weight;

    @Schema(description = "数量")
    private Integer num;

    @Schema(description = "单价/（吨/1000  or 件） ", requiredMode = Schema.RequiredMode.REQUIRED, example = "18521")
    @NotNull(message = "单价/（吨/1000  or 件） 不能为空")
    private BigDecimal unitPrice;

}