package cn.iocoder.yudao.module.smartfactory.controller.admin.linefixedassets.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 打包线固定资产 Response VO")
@Data
@ExcelIgnoreUnannotated
public class LineFixedAssetsRespVO {

    @Schema(description = "主键id", requiredMode = Schema.RequiredMode.REQUIRED, example = "12837")
    @ExcelProperty("主键id")
    private Long id;

    @Schema(description = "资产编号", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("资产编号")
    private String assetsNo;

    @Schema(description = "工厂id", requiredMode = Schema.RequiredMode.REQUIRED, example = "29331")
    @ExcelProperty("工厂id")
    private Long factoryId;

    @Schema(description = "工厂名称", requiredMode = Schema.RequiredMode.REQUIRED, example = "29331")
    @ExcelProperty("工厂名称")
    private String factoryName;

    @Schema(description = "部门id", example = "28310")
    @ExcelProperty("部门id")
    private Long deptId;

    @Schema(description = "部门名称", example = "28310")
    @ExcelProperty("部门名称")
    private String deptName;


    @Schema(description = "名称", example = "赵六")
    @ExcelProperty("名称")
    private String name;

    @Schema(description = "规格")
    @ExcelProperty("规格")
    private String sku;

    @Schema(description = "打包线编号")
    @ExcelProperty("打包线编号")
    private String lineNo;

    @Schema(description = "型号")
    @ExcelProperty("型号")
    private String modelNo;

    @Schema(description = "厂商")
    @ExcelProperty("厂商")
    private String manufacturer;

    @Schema(description = "单位")
    @ExcelProperty("单位")
    private String unit;

    @Schema(description = "铭牌日期")
    @ExcelProperty("铭牌日期")
    private String nameplateDate;

    @Schema(description = "使用日期")
    @ExcelProperty("使用日期")
    private String useDate;

    @Schema(description = "备注", example = "你说的对")
    @ExcelProperty("备注")
    private String remark;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}
