package cn.iocoder.yudao.module.smartfactory.service.accessoriescollar;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.smartfactory.controller.admin.accessoriescollar.vo.AccessoriesCollarPageReqVO;
import cn.iocoder.yudao.module.smartfactory.controller.admin.accessoriescollar.vo.AccessoriesCollarSaveReqVO;
import cn.iocoder.yudao.module.smartfactory.dal.dataobject.accessoriescollar.AccessoriesCollarDO;

import javax.validation.Valid;

/**
 * 厂区配件领用 Service 接口
 *
 * @author 符溶馨
 */
public interface AccessoriesCollarService {

    /**
     * 创建厂区配件领用
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createAccessoriesCollar(@Valid AccessoriesCollarSaveReqVO createReqVO);

    /**
     * 更新厂区配件领用
     *
     * @param updateReqVO 更新信息
     */
    void updateAccessoriesCollar(@Valid AccessoriesCollarSaveReqVO updateReqVO);

    /**
     * 删除厂区配件领用
     *
     * @param id 编号
     */
    void deleteAccessoriesCollar(Long id);

    /**
     * 获得厂区配件领用
     *
     * @param id 编号
     * @return 厂区配件领用
     */
    AccessoriesCollarDO getAccessoriesCollar(Long id);

    /**
     * 获得厂区配件领用分页
     *
     * @param pageReqVO 分页查询
     * @return 厂区配件领用分页
     */
    PageResult<AccessoriesCollarDO> getAccessoriesCollarPage(AccessoriesCollarPageReqVO pageReqVO);

}