package cn.iocoder.yudao.module.smartfactory.service.handlinggroup;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.module.smartfactory.controller.admin.handlinggroup.vo.*;
import cn.iocoder.yudao.module.smartfactory.dal.dataobject.handlinggroup.HandlingGroupDO;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.common.pojo.PageParam;

/**
 * 搬运组 Service 接口
 *
 * @author 艾楷
 */
public interface HandlingGroupService extends IService<HandlingGroupDO> {

    /**
     * 创建搬运组
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createHandlingGroup(@Valid HandlingGroupSaveReqVO createReqVO);

    /**
     * 更新搬运组
     *
     * @param updateReqVO 更新信息
     */
    void updateHandlingGroup(@Valid HandlingGroupSaveReqVO updateReqVO);

    /**
     * 删除搬运组
     *
     * @param id 编号
     */
    void deleteHandlingGroup(Long id);

    /**
     * 获得搬运组
     *
     * @param id 编号
     * @return 搬运组
     */
    HandlingGroupDO getHandlingGroup(Long id);

    /**
     * 获得搬运组分页
     *
     * @param pageReqVO 分页查询
     * @return 搬运组分页
     */
    PageResult<HandlingGroupDO> getHandlingGroupPage(HandlingGroupPageReqVO pageReqVO);

}
